## sdlgles 1.0.0

=== src/Makefile ===
PREFIX:=$(shell sdl-config --prefix)
CFLAGS:=-g -O0 -Wall -Wextra

CC:=gcc

RELEASE:=1.2
VERSION:=0:1:0

SDL_GLES_TARGET:=libSDL_gles.la

SDL_GLES_LDLIBS:=$(shell sdl-config --libs) -lEGL
SDL_GLES_CFLAGS:=$(shell sdl-config --cflags)
SDL_GLES_LDFLAGS:=-release $(RELEASE) -version-info $(VERSION) -rpath $(PREFIX)/lib

all: $(SDL_GLES_TARGET)

$(SDL_GLES_TARGET): SDL_gles.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) $(SDL_GLES_LDFLAGS) $(LDLIBS) $(SDL_GLES_LDLIBS) -o $@ $^
	
SDL_gles.lo: SDL_gles.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(SDL_GLES_CFLAGS) -c $^
	
clean:
	$(LIBTOOL) --mode=clean rm -f *.o *.lo $(SDL_GLES_TARGET)
	
install: $(SDL_GLES_TARGET)
	install -d $(DESTDIR)$(PREFIX)/include/SDL $(DESTDIR)$(PREFIX)/lib
	install SDL_gles.h $(DESTDIR)$(PREFIX)/include/SDL/
	$(LIBTOOL) --mode=install install -c $(SDL_GLES_TARGET) $(DESTDIR)$(PREFIX)/lib/
ifeq ($(DESTDIR),)
	$(LIBTOOL) --mode=finish $(PREFIX)/lib
endif

uninstall:
	-$(LIBTOOL) --mode=uninstall rm $(DESTDIR)$(PREFIX)/lib/$(SDL_GLES_TARGET)
	-rm $(DESTDIR)$(PREFIX)/include/SDL/SDL_gles.h

=== test/Makefile ===
CFLAGS:=-g -O0 -Wall

TEST_LDLIBS:=$(shell sdl-config --libs) -lSDL_gles -lEGL
TEST_CFLAGS:=$(shell sdl-config --cflags)

TEST_1_LDLIBS:=-lGLES_CM
TEST_2_LDLIBS:=-lGLESv2

TESTS_1:=gles1 attrib
TESTS_2:=gles2
TESTS:=$(TESTS_1) $(TESTS_2)

all: $(TESTS)

$(TESTS_1): %: %.o
	$(CC) $(LDFLAGS) $(TEST_LDFLAGS) $(LDLIBS) $(TEST_1_LDLIBS) $(TEST_LDLIBS) -o $@ $^
	
$(TESTS_2): %: %.o
	$(CC) $(LDFLAGS) $(TEST_LDFLAGS) $(LDLIBS) $(TEST_2_LDLIBS) $(TEST_LDLIBS) -o $@ $^
	
%.o: %.c
	$(CC) $(CFLAGS) $(TEST_CFLAGS) -c -o $@ $^
	
clean:
	rm -f *.o $(TESTS)

=== debian/changelog ===
sdlgles (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue,  2 Feb 2010 00:03:22 +0100

=== debian/control ===
Source: sdlgles
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libx11-dev, libsdl1.2-dev,
 libgles2-dev [i386], opengles-sgx-img-common-dev [armel]
Standards-Version: 3.7.2
Section: libs

Package: libsdl-gles1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL|ES library for Simple DirectMedia Layer 1.2
 This is a simple library that allows you to use OpenGL|ES (1.1 or 2.0) calls
 in your SDL applications, hiding the EGL surface creation from you.

Package: libsdl-gles1.2-dev
Section: libdevel
Architecture: any
Depends: libsdl-gles1.2-1 (= ${Source-Version})
Description: development files for OpenGL|ES library for SDL 1.2
 This is a simple library that allows you to use OpenGL|ES (1.1 or 2.0) calls
 in your SDL applications, hiding the EGL surface creation from you.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V "libsdl-gles1.2-1 (>= 1.0.0)"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
